@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  @include flex();
  height: 58px;
  background-color: $free-speech-blue;

  // header content flex
  .app-header-content {
    flex: 1 0 auto;
  }
}

// logo wrapper
.app-logo-wrapper {
  @include flex(center, center);
  width: 143px;
  height: 100%;
  background-color: $egyptian-blue;
}

// header content
.app-header-content {
  @include flex(center, space-between);
  @include padding(0 16px 0 28px);
}

// right section
.app-right {
  @include flex(center);

  app-icon-help {
    @include box(24px);
    cursor: pointer;

    &:hover {
      opacity: 0.8;
    }
  }
}

// divider
.app-divider {
  width: 1px;
  height: 35px;
  background-color: $jordy-blue;
  margin: 0 16.5px;
}

//media qureis for mobile devices
@media (max-width: 767px) {
  .app-logo-wrapper {
    justify-content: space-between;
    flex: 1 0 96% !important;
    padding: 0 2%;
  }

  .app-header-content {
    flex: 1 0 96% !important;
    padding: 8px 2%;
    background-color: #3963bf;
  }
  .app-flex {
    display: flex;
  }
  .dh-important {
    display: flex !important;
  }
}
.dh-important {
  display: none;
}
